%global srcname texttable

Name:           python-%{srcname}
Version:        0.9.0
Release:        1%{?dist}
Summary:        Python module to generate a formatted text table, using ASCII characters
License:        LGPLv3
URL:            https://github.com/foutaise/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


%description
Python module to generate a formatted text table, using ASCII characters.


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python%{?fedora:2}-setuptools
BuildRequires:  %{?fedora:python2-}pytest
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
Python 2 module to generate a formatted text table, using ASCII characters.


%if 0%{?fedora}
%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
Python 3 module to generate a formatted text table, using ASCII characters.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%{?fedora:%py3_build}


%install
%py2_install
%{?fedora:%py3_install}


%check
py.test-%{python2_version} --verbose tests.py
%{?fedora:py.test-%{python3_version} --verbose tests.py}


%files -n python2-%{srcname}
%doc PKG-INFO README.md
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{srcname}.py*


%if 0%{?fedora}
%files -n python3-%{srcname}
%doc PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/%{srcname}.cpython-%{python3_version_nodots}.*
%endif


%changelog
* Wed May 17 2017 Carl George <carl.george@rackspace.com> - 0.9.0-1
- Latest upstream
- Drop python*-tools build requirement, 2to3 is no longer used
- Run test suite
- Correct license
- Add EL7 compatibility

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.8.4-2
- Rebuild for Python 3.6

* Mon Jul 25 2016 Dominika Krejci <dkrejci@redhat.com> - 0.8.4-1
- Add Python 3
- Update to 0.8.4

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 12 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.8.1-4
- Patch to remove "__main__" and /usr/bin/env from non-executable library

* Mon Aug 11 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.8.1-3
- Fix description for rpmlin errors, fix files listing

* Fri Aug 08 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.8.1-2
- Fixed __python vs __python2 macros, BuildArch: noarch

* Wed Jul 23 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.8.1-1
- Initial package for Fedora
